/*
 * Copyright 2004-2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.compass.core.lucene.engine.queryparser;

import org.apache.lucene.search.Query;

/**
 * @author kimchy
 */
public class QueryHolder {

    private final Query query;

    private final boolean suggested;

    public QueryHolder(Query query) {
        this(query, false);
    }

    public QueryHolder(Query query, boolean suggested) {
        this.query = query;
        this.suggested = suggested;
    }

    public Query getQuery() {
        return query;
    }

    public boolean isSuggested() {
        return suggested;
    }
}
